# 项目相关配置
ruoyi:
  # 名称
  name: RuoYi
  # 版本
  version: 3.8.9
  # 版权年份
  copyrightYear: 2025
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/ruoyi/uploadPath2
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
#
dromara:
  x-file-storage: #文件存储配置
    default-platform: aliyun-oss-1 #默认使用的存储平台
    thumbnail-suffix: ".min.jpg" #缩略图后缀，例如【.min.jpg】【.png】
    #对应平台的配置写在这里，注意缩进要对齐
    minio:
      - platform: minio-1 # 存储平台标识
        enable-storage: false  # 启用存储
        access-key: NQpPX8xgjXp3IZTHhdKd
        secret-key: VtLQcV3DJsEwq0eBUPg2aM87xviKEjfKLSrrvCN3
        end-point: http://1.95.212.35:9000
        bucket-name: leromro
        domain: https://zybooks.tech/leromro/ # 访问域名，注意“/”结尾，例如：http://minio.abc.com/abc/
        base-path: test/ # 基础路径
    aliyun-oss:
      - platform: aliyun-oss-1 # 存储平台标识
        enable-storage: true  # 启用存储
        access-key: LTAI5t7Xyw23riTKPgy99FNP
        secret-key: vPXlxXmL5QVE0Iop4NCKvZQvGCZYgP
        end-point: oss-cn-hangzhou.aliyuncs.com
        bucket-name: leromro
        domain: https://leromro.oss-cn-hangzhou.aliyuncs.com/
        base-path: test/ # 基础路径



# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 9527
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.leromro: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: false
  # redis 配置
  redis:
    # 地址
    host: localhost
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password: 123456
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 30

mybatis-plus:
  #扫描mapper文件所在位置
#  mapper-locations: classpath*:mapper/**/*Mapper.xml
  mapper-locations: classpath*:mapper/**/*.xml
  #可以指定实体类所在包路径
  typeAliasesPackage: com.leromro.**.domain


# PageHelper分页插件
pagehelper: 
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
wx:
  url: https://api.weixin.qq.com
#  app-id: wxf8cc1f7fffc41354
#  secret: 36a6c5c2148e1c16a33a59279fed0378
  # 乐融融
  app-id: wxe8a05852410396cf
  secret: ea6531db3d1a1d816343c41604642fea
# 建均
#  app-id: wxed3f482559db6196
#  secret: 998ba63b56683bbabf52c0b9f8433a1a